--- old/usr/src/uts/sparc/v9/ml/ddi_v9_asm.s	Thu Nov 14 19:00:31 2019
+++ new/usr/src/uts/sparc/v9/ml/ddi_v9_asm.s	Thu Nov 14 19:00:32 2019
@@ -23,8 +23,6 @@
  * Use is subject to license terms.
  */
 
-#pragma	ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sys/asi.h>
 #include <sys/asm_linkage.h>
 #include <sys/machthread.h>
@@ -32,16 +30,8 @@
 #include <sys/ontrap.h>
 #include <sys/dditypes.h>
 
-#ifndef lint
 #include "assym.h"
-#endif
 
-#if defined(lint)
-#include <sys/isa_defs.h>
-#include <sys/types.h>
-#include <sys/sunddi.h>
-#endif  /* lint */
-
 /*
  * This file implements the following ddi common access 
  * functions:
@@ -58,493 +48,6 @@
  * accessible via ld/st instructions.
  */
 
-#if defined(lint)
-
-/*ARGSUSED*/
-uint8_t
-ddi_get8(ddi_acc_handle_t handle, uint8_t *addr)
-{
-	return (0);
-}
-
-/*ARGSUSED*/
-uint8_t
-ddi_mem_get8(ddi_acc_handle_t handle, uint8_t *addr)
-{
-	return (0);
-}
-
-/*ARGSUSED*/
-uint8_t
-ddi_io_get8(ddi_acc_handle_t handle, uint8_t *dev_addr)
-{
-	return (0);
-}
-
-/*ARGSUSED*/
-uint16_t
-ddi_get16(ddi_acc_handle_t handle, uint16_t *addr)
-{
-	return (0);
-}
-
-/*ARGSUSED*/
-uint16_t
-ddi_mem_get16(ddi_acc_handle_t handle, uint16_t *addr)
-{
-	return (0);
-}
-
-/*ARGSUSED*/
-uint16_t
-ddi_io_get16(ddi_acc_handle_t handle, uint16_t *dev_addr)
-{
-	return (0);
-}
-
-/*ARGSUSED*/
-uint32_t
-ddi_get32(ddi_acc_handle_t handle, uint32_t *addr)
-{
-	return (0);
-}
-
-/*ARGSUSED*/
-uint32_t
-ddi_mem_get32(ddi_acc_handle_t handle, uint32_t *addr)
-{
-	return (0);
-}
-
-/*ARGSUSED*/
-uint32_t
-ddi_io_get32(ddi_acc_handle_t handle, uint32_t *dev_addr)
-{
-	return (0);
-}
-
-/*ARGSUSED*/
-uint64_t
-ddi_get64(ddi_acc_handle_t handle, uint64_t *addr)
-{
-	return (0);
-}
-
-/*ARGSUSED*/
-uint64_t
-ddi_mem_get64(ddi_acc_handle_t handle, uint64_t *addr)
-{
-	return (0);
-}
-
-/*ARGSUSED*/
-void
-ddi_put8(ddi_acc_handle_t handle, uint8_t *addr, uint8_t value) {}
-
-/*ARGSUSED*/
-void
-ddi_mem_put8(ddi_acc_handle_t handle, uint8_t *dev_addr, uint8_t value) {}
-
-/*ARGSUSED*/
-void
-ddi_io_put8(ddi_acc_handle_t handle, uint8_t *dev_addr, uint8_t value) {}
-
-/*ARGSUSED*/
-void
-ddi_put16(ddi_acc_handle_t handle, uint16_t *addr, uint16_t value) {}
-
-/*ARGSUSED*/
-void
-ddi_mem_put16(ddi_acc_handle_t handle, uint16_t *dev_addr, uint16_t value) {}
-
-/*ARGSUSED*/
-void
-ddi_io_put16(ddi_acc_handle_t handle, uint16_t *dev_addr, uint16_t value) {}
-
-/*ARGSUSED*/
-void
-ddi_put32(ddi_acc_handle_t handle, uint32_t *addr, uint32_t value) {}
-
-/*ARGSUSED*/
-void
-ddi_mem_put32(ddi_acc_handle_t handle, uint32_t *dev_addr, uint32_t value) {}
-
-/*ARGSUSED*/
-void
-ddi_io_put32(ddi_acc_handle_t handle, uint32_t *dev_addr, uint32_t value) {}
-
-/*ARGSUSED*/
-void
-ddi_put64(ddi_acc_handle_t handle, uint64_t *addr, uint64_t value) {}
-
-/*ARGSUSED*/
-void
-ddi_mem_put64(ddi_acc_handle_t handle, uint64_t *dev_addr, uint64_t value) {}
-
-/*ARGSUSED*/
-void
-ddi_rep_get8(ddi_acc_handle_t handle, uint8_t *host_addr, uint8_t *dev_addr,
-        size_t repcount, uint_t flags)
-{
-}
-
-/*ARGSUSED*/
-void
-ddi_rep_get16(ddi_acc_handle_t handle, uint16_t *host_addr, uint16_t *dev_addr,
-        size_t repcount, uint_t flags)
-{
-}
-
-/*ARGSUSED*/
-void
-ddi_rep_get32(ddi_acc_handle_t handle, uint32_t *host_addr, uint32_t *dev_addr,
-        size_t repcount, uint_t flags)
-{
-}
-
-/*ARGSUSED*/
-void
-ddi_rep_get64(ddi_acc_handle_t handle, uint64_t *host_addr, uint64_t *dev_addr,
-        size_t repcount, uint_t flags)
-{
-}
-
-/*ARGSUSED*/
-void
-ddi_rep_put8(ddi_acc_handle_t handle, uint8_t *host_addr, uint8_t *dev_addr,
-        size_t repcount, uint_t flags)
-{
-}
-
-/*ARGSUSED*/
-void
-ddi_rep_put16(ddi_acc_handle_t handle, uint16_t *host_addr, uint16_t *dev_addr,
-        size_t repcount, uint_t flags)
-{
-}
-
-/*ARGSUSED*/
-void
-ddi_rep_put32(ddi_acc_handle_t handle, uint32_t *host_addr, uint32_t *dev_addr,
-        size_t repcount, uint_t flags)
-{
-}
-
-/*ARGSUSED*/
-void
-ddi_rep_put64(ddi_acc_handle_t handle, uint64_t *host_addr, uint64_t *dev_addr,
-        size_t repcount, uint_t flags)
-{
-}
-
-/*ARGSUSED*/
-void
-ddi_mem_rep_get8(ddi_acc_handle_t handle, uint8_t *host_addr,
-        uint8_t *dev_addr, size_t repcount, uint_t flags)
-{
-}
-
-/*ARGSUSED*/
-void
-ddi_mem_rep_get16(ddi_acc_handle_t handle, uint16_t *host_addr,
-        uint16_t *dev_addr, size_t repcount, uint_t flags)
-{
-}
-
-/*ARGSUSED*/
-void
-ddi_mem_rep_get32(ddi_acc_handle_t handle, uint32_t *host_addr,
-        uint32_t *dev_addr, size_t repcount, uint_t flags)
-{
-}
-
-/*ARGSUSED*/
-void
-ddi_mem_rep_get64(ddi_acc_handle_t handle, uint64_t *host_addr,
-        uint64_t *dev_addr, size_t repcount, uint_t flags)
-{
-}
-
-/*ARGSUSED*/
-void
-ddi_mem_rep_put8(ddi_acc_handle_t handle, uint8_t *host_addr,
-        uint8_t *dev_addr, size_t repcount, uint_t flags)
-{
-}
-
-/*ARGSUSED*/
-void
-ddi_mem_rep_put16(ddi_acc_handle_t handle, uint16_t *host_addr,
-        uint16_t *dev_addr, size_t repcount, uint_t flags)
-{
-}
-
-/*ARGSUSED*/
-void
-ddi_mem_rep_put32(ddi_acc_handle_t handle, uint32_t *host_addr,
-        uint32_t *dev_addr, size_t repcount, uint_t flags)
-{
-}
-
-/*ARGSUSED*/
-void
-ddi_mem_rep_put64(ddi_acc_handle_t handle, uint64_t *host_addr,
-        uint64_t *dev_addr, size_t repcount, uint_t flags)
-{
-}
-
-/*ARGSUSED*/
-void
-ddi_io_rep_get8(ddi_acc_handle_t handle,
-	uint8_t *host_addr, uint8_t *dev_addr, size_t repcount) {}
- 
-/*ARGSUSED*/
-void
-ddi_io_rep_get16(ddi_acc_handle_t handle,
-	uint16_t *host_addr, uint16_t *dev_addr, size_t repcount) {}
- 
-/*ARGSUSED*/
-void
-ddi_io_rep_get32(ddi_acc_handle_t handle,
-	uint32_t *host_addr, uint32_t *dev_addr, size_t repcount) {}
- 
-/*ARGSUSED*/
-void
-ddi_io_rep_put8(ddi_acc_handle_t handle,
-	uint8_t *host_addr, uint8_t *dev_addr, size_t repcount) {}
- 
-/*ARGSUSED*/
-void
-ddi_io_rep_put16(ddi_acc_handle_t handle,
-	uint16_t *host_addr, uint16_t *dev_addr, size_t repcount) {}
- 
-
-/*ARGSUSED*/
-void
-ddi_io_rep_put32(ddi_acc_handle_t handle,
-	uint32_t *host_addr, uint32_t *dev_addr, size_t repcount) {}
-
-/*ARGSUSED*/
-uint8_t
-i_ddi_get8(ddi_acc_impl_t *hdlp, uint8_t *addr) 
-{
-	return (0);
-}
-
-/*ARGSUSED*/
-uint16_t
-i_ddi_get16(ddi_acc_impl_t *hdlp, uint16_t *addr)
-{
-	return (0);
-}
-
-/*ARGSUSED*/
-uint32_t
-i_ddi_get32(ddi_acc_impl_t *hdlp, uint32_t *addr)
-{
-	return (0);
-}
-
-/*ARGSUSED*/
-uint64_t
-i_ddi_get64(ddi_acc_impl_t *hdlp, uint64_t *addr)
-{
-	return (0);
-}
-
-/*ARGSUSED*/
-void
-i_ddi_put8(ddi_acc_impl_t *hdlp, uint8_t *addr, uint8_t value) {}
-
-/*ARGSUSED*/
-void
-i_ddi_put16(ddi_acc_impl_t *hdlp, uint16_t *addr, uint16_t value) {}
-
-/*ARGSUSED*/
-void
-i_ddi_put32(ddi_acc_impl_t *hdlp, uint32_t *addr, uint32_t value) {}
-
-/*ARGSUSED*/
-void
-i_ddi_put64(ddi_acc_impl_t *hdlp, uint64_t *addr, uint64_t value) {}
-
-/*ARGSUSED*/
-void
-i_ddi_rep_get8(ddi_acc_impl_t *hdlp, uint8_t *host_addr, uint8_t *dev_addr,
-        size_t repcount, uint_t flags)
-{
-}
-
-/*ARGSUSED*/
-void
-i_ddi_rep_get16(ddi_acc_impl_t *hdlp, uint16_t *host_addr, 
-	uint16_t *dev_addr, size_t repcount, uint_t flags)
-{
-}
-
-/*ARGSUSED*/
-void
-i_ddi_rep_get32(ddi_acc_impl_t *hdlp, uint32_t *host_addr, 
-	uint32_t *dev_addr, size_t repcount, uint_t flags)
-{
-}
-
-/*ARGSUSED*/
-void
-i_ddi_rep_get64(ddi_acc_impl_t *hdlp, uint64_t *host_addr, 
-	uint64_t *dev_addr, size_t repcount, uint_t flags)
-{
-}
-
-/*ARGSUSED*/
-void
-i_ddi_rep_put8(ddi_acc_impl_t *hdlp, uint8_t *host_addr, uint8_t *dev_addr,
-        size_t repcount, uint_t flags)
-{
-}
-
-/*ARGSUSED*/
-void
-i_ddi_rep_put16(ddi_acc_impl_t *hdlp, uint16_t *host_addr, 
-	uint16_t *dev_addr, size_t repcount, uint_t flags)
-{
-}
-
-/*ARGSUSED*/
-void
-i_ddi_rep_put32(ddi_acc_impl_t *hdlp, uint32_t *host_addr, 
-	uint32_t *dev_addr, size_t repcount, uint_t flags)
-{
-}
-
-/*ARGSUSED*/
-void
-i_ddi_rep_put64(ddi_acc_impl_t *hdlp, uint64_t *host_addr, 
-	uint64_t *dev_addr, size_t repcount, uint_t flags)
-{
-}
-
-/*ARGSUSED*/
-uint8_t
-i_ddi_prot_get8(ddi_acc_impl_t *hdlp, uint8_t *addr) 
-{
-	return (0);
-}
-
-/*ARGSUSED*/
-uint16_t
-i_ddi_prot_get16(ddi_acc_impl_t *hdlp, uint16_t *addr)
-{
-	return (0);
-}
-
-/*ARGSUSED*/
-uint32_t
-i_ddi_prot_get32(ddi_acc_impl_t *hdlp, uint32_t *addr)
-{
-	return (0);
-}
-
-/*ARGSUSED*/
-uint64_t
-i_ddi_prot_get64(ddi_acc_impl_t *hdlp, uint64_t *addr)
-{
-	return (0);
-}
-
-/*ARGSUSED*/
-void
-i_ddi_prot_put8(ddi_acc_impl_t *hdlp, uint8_t *addr, uint8_t value) {}
-
-/*ARGSUSED*/
-void
-i_ddi_prot_put16(ddi_acc_impl_t *hdlp, uint16_t *addr, uint16_t value) {}
-
-/*ARGSUSED*/
-void
-i_ddi_prot_put32(ddi_acc_impl_t *hdlp, uint32_t *addr, uint32_t value) {}
-
-/*ARGSUSED*/
-void
-i_ddi_prot_put64(ddi_acc_impl_t *hdlp, uint64_t *addr, uint64_t value) {}
-
-/*ARGSUSED*/
-void
-i_ddi_prot_rep_get8(ddi_acc_impl_t *hdlp, uint8_t *host_addr, uint8_t *dev_addr,
-        size_t repcount, uint_t flags)
-{
-}
-
-/*ARGSUSED*/
-void
-i_ddi_prot_rep_get16(ddi_acc_impl_t *hdlp, uint16_t *host_addr, 
-	uint16_t *dev_addr, size_t repcount, uint_t flags)
-{
-}
-
-/*ARGSUSED*/
-void
-i_ddi_prot_rep_get32(ddi_acc_impl_t *hdlp, uint32_t *host_addr, 
-	uint32_t *dev_addr, size_t repcount, uint_t flags)
-{
-}
-
-/*ARGSUSED*/
-void
-i_ddi_prot_rep_get64(ddi_acc_impl_t *hdlp, uint64_t *host_addr, 
-	uint64_t *dev_addr, size_t repcount, uint_t flags)
-{
-}
-
-/*ARGSUSED*/
-void
-i_ddi_prot_rep_put8(ddi_acc_impl_t *hdlp, uint8_t *host_addr, uint8_t *dev_addr,
-        size_t repcount, uint_t flags)
-{
-}
-
-/*ARGSUSED*/
-void
-i_ddi_prot_rep_put16(ddi_acc_impl_t *hdlp, uint16_t *host_addr, 
-	uint16_t *dev_addr, size_t repcount, uint_t flags)
-{
-}
-
-/*ARGSUSED*/
-void
-i_ddi_prot_rep_put32(ddi_acc_impl_t *hdlp, uint32_t *host_addr, 
-	uint32_t *dev_addr, size_t repcount, uint_t flags)
-{
-}
-
-/*ARGSUSED*/
-void
-i_ddi_prot_rep_put64(ddi_acc_impl_t *hdlp, uint64_t *host_addr, 
-	uint64_t *dev_addr, size_t repcount, uint_t flags)
-{
-}
-
-/*ARGSUSED*/
-int
-i_ddi_ontrap(ddi_acc_handle_t handle)
-{
-	return (0);
-}
-
-/*ARGSUSED*/
-void
-i_ddi_notrap(ddi_acc_handle_t handle)
-{
-}
-
-/*ARGSUSED*/
-void
-i_ddi_caut_get(size_t getsz, void *addr, void *value)
-{
-}
-
-#else
-
 /*
  * The functionality of each of the ddi_get/put routines is performed by
  * the respective indirect function defined in the access handle.  Use of
@@ -1555,4 +1058,3 @@
 	nop
 	SET_SIZE(i_ddi_caut_get)
 
-#endif	/* lint	*/
--- old/usr/src/uts/sparc/v9/ml/float.s	Thu Nov 14 19:00:32 2019
+++ new/usr/src/uts/sparc/v9/ml/float.s	Thu Nov 14 19:00:32 2019
@@ -32,9 +32,7 @@
 #include <sys/machsig.h>
 #include <sys/machthread.h>
 
-#if !defined(lint) && !defined(__lint)
 #include "assym.h"
-#endif	/* lint */
 
 /*
  * Floating point trap handling.
@@ -81,16 +79,6 @@
  *		that appear to be a kaos bug, so don't use them!
  */
 
-#if defined(lint) || defined(__lint)
-
-#ifdef FP_DISABLED
-int fpu_exists = 0;
-#else
-int fpu_exists = 1;
-#endif
-
-#else	/* lint */
-
 	.section ".data"
 	.align	8
 fsrholder:
@@ -107,8 +95,6 @@
 	DGDEF(fpu_version)
 	.word	-1
 
-#endif	/* lint */
-
 /*
  * FPU probe - read the %fsr and get fpu_version.
  * Called from autoconf. If a %fq is created for
@@ -116,15 +102,6 @@
  * could be created by this function.
  */
 
-#if defined(lint) || defined(__lint)
-
-/*ARGSUSED*/
-void
-fpu_probe(void)
-{}
-
-#else	/* lint */
-
 	ENTRY_NP(fpu_probe)
 	wr	%g0, FPRS_FEF, %fprs	! enable fpu in fprs
 	rdpr	%pstate, %g2		! read pstate, save value in %g2
@@ -144,8 +121,6 @@
 	wr	%g0, %g0, %fprs		! disable fpu and clear fprs
 	SET_SIZE(fpu_probe)
 
-#endif	/* lint */
-
 /*
  * fp_clearregs(fp)
  *	struct v9_fpu *fp;
@@ -156,15 +131,6 @@
  * so when the return to userland is made, the fpu is enabled.
  */
 
-#if defined(lint) || defined(__lint)
-
-/*ARGSUSED*/
-void
-fp_clearregs(kfpu_t *fp)
-{}
-
-#else	/* lint */
-
 	ENTRY_NP(fp_clearregs)
 	ldx	[%o0 + FPU_FSR], %fsr		! load fsr
 
@@ -205,8 +171,6 @@
 	ldd	[%o0], %d62
 	SET_SIZE(fp_clearregs)
 
-#endif	/* lint */
-
 /*
  * void _fp_read_pfreg(pf, n)
  *	uint32_t	*pf;	Old freg value.
@@ -226,20 +190,6 @@
  * }
  */
 
-#if defined(lint) || defined(__lint)
-
-/*ARGSUSED*/
-void
-_fp_read_pfreg(uint32_t *pf, u_int n)
-{}
-
-/*ARGSUSED*/
-void
-_fp_write_pfreg(uint32_t *pf, u_int n)
-{}
-
-#else	/* lint */
-
 	ENTRY_NP(_fp_read_pfreg)
 	sll	%o1, 3, %o1		! Table entries are 8 bytes each.
 	set	.stable, %g1		! g1 gets base of table.
@@ -326,8 +276,6 @@
 	SET_SIZE(_fp_read_pfreg)
 	SET_SIZE(_fp_write_pfreg)
 
-#endif	/* lint */
-
 /*
  * void _fp_read_pdreg(
  *	uint64_t	*pd,	Old dreg value.
@@ -347,20 +295,6 @@
  * }
  */
 
-#if defined(lint) || defined(__lint)
-
-/*ARGSUSED*/
-void
-_fp_read_pdreg(uint64_t *pd, u_int n)
-{}
-
-/*ARGSUSED*/
-void
-_fp_write_pdreg(uint64_t *pd, u_int n)
-{}
-
-#else	/* lint */
-
 	ENTRY_NP(_fp_read_pdreg)
 	sll	%o1, 3, %o1		! Table entries are 8 bytes each.
 	set	.dstable, %g1		! g1 gets base of table.
@@ -447,79 +381,26 @@
 	SET_SIZE(_fp_read_pdreg)
 	SET_SIZE(_fp_write_pdreg)
 
-#endif	/* lint */
-
-#if defined(lint) || defined(__lint)
-
-/*ARGSUSED*/
-void
-_fp_write_pfsr(uint64_t *fsr)
-{}
-
-#else	/* lint */
-
 	ENTRY_NP(_fp_write_pfsr)
 	retl
 	ldx	[%o0], %fsr
 	SET_SIZE(_fp_write_pfsr)
 
-#endif	/* lint */
-
-#if defined(lint) || defined(__lint)
-
-/*ARGSUSED*/
-void
-_fp_read_pfsr(uint64_t *fsr)
-{}
-
-#else	/* lint */
-
 	ENTRY_NP(_fp_read_pfsr)
 	retl
 	stx	%fsr, [%o0]
 	SET_SIZE(_fp_read_pfsr)
 
-#endif	/* lint */
-
-#if defined(lint) || defined(__lint)
-
-/*ARGSUSED*/
-void
-_fp_write_fprs(u_int fprs_val)
-{}
-
-#else	/* lint */
-
 	ENTRY_NP(_fp_write_fprs)
 	retl
 	wr	%o0, %g0, %fprs			! write fprs
 	SET_SIZE(_fp_write_fprs)
 
-#endif	/* lint */
-
-#if defined(lint) || defined(__lint)
-
-unsigned
-_fp_read_fprs(void)
-{return 0;}
-
-#else	/* lint */
-
 	ENTRY_NP(_fp_read_fprs)
 	retl
 	rd	%fprs, %o0			! save fprs
 	SET_SIZE(_fp_read_fprs)
 
-#endif	/* lint */
-
-#if defined(lint) || defined(__lint)
-
-unsigned
-_fp_subcc_ccr(void)
-{return 0;}
-
-#else	/* lint */
-
 	ENTRY_NP(_fp_subcc_ccr)
 	subcc	%o0, %o1, %g0
 	retl
@@ -526,8 +407,6 @@
 	rd	%ccr, %o0			! save ccr
 	SET_SIZE(_fp_subcc_ccr)
 
-#endif	/* lint */
-
 /*
  * Floating Point Exceptions handled according to type:
  *	2) unfinished_fpop
@@ -547,15 +426,6 @@
  * (ie, Spitfire-specific) module code before final release.
  */
 
-#if defined(lint)
-
-/* ARGSUSED */
-void
-_fp_exception(struct regs *rp, uint64_t fsr)
-{}
-
-#else	/* lint */
-
 	ENTRY_NP(_fp_exception)
 	mov	%o7, %l0		! saved return address
 	mov	%o0, %l1		! saved *rp
@@ -615,8 +485,6 @@
 	.asciz	"No floating point ftt, fsr %llx"
 #endif	/* DEBUG */
 
-#endif	/* lint */
-
 /*
  * Floating Point Exceptions.
  * handled according to type:
@@ -628,15 +496,6 @@
  * for execution of kernel code.
  */
 
-#if defined(lint)
-
-/* ARGSUSED */
-void
-_fp_ieee_exception(struct regs *rp, uint64_t fsr)
-{}
-
-#else	/* lint */
-
 	ENTRY_NP(_fp_ieee_exception)
 	mov	%o7, %l0		! saved return address
 	mov	%o0, %l1		! saved *rp
@@ -723,4 +582,3 @@
 .badfpcexcmsg:
 	.asciz	"No floating point exception, fsr %llx"
 
-#endif	/* lint */
--- old/usr/src/uts/sparc/v9/ml/lock_prim.s	Thu Nov 14 19:00:32 2019
+++ new/usr/src/uts/sparc/v9/ml/lock_prim.s	Thu Nov 14 19:00:32 2019
@@ -23,15 +23,7 @@
  * Use is subject to license terms.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
-#if defined(lint)
-#include <sys/types.h>
-#include <sys/thread.h>
-#include <sys/cpuvar.h>
-#else	/* lint */
 #include "assym.h"
-#endif	/* lint */
 
 #include <sys/t_lock.h>
 #include <sys/mutex.h>
@@ -58,48 +50,15 @@
  * Store 0xFF at the specified location, and return its previous content.
  */
 
-#if defined(lint)
-uint8_t
-ldstub(uint8_t *cp)
-{
-	uint8_t	rv;
-	rv = *cp;
-	*cp = 0xFF;
-	return rv;
-}
-#else	/* lint */
-
 	ENTRY(ldstub)
 	retl
 	ldstub	[%o0], %o0
 	SET_SIZE(ldstub)
 
-#endif	/* lint */
-
 /************************************************************************
  *		MEMORY BARRIERS -- see atomic.h for full descriptions.
  */
 
-#if defined(lint)
-
-void
-membar_enter(void)
-{}
-
-void
-membar_exit(void)
-{}
-
-void
-membar_producer(void)
-{}
-
-void
-membar_consumer(void)
-{}
-
-#else	/* lint */
-
 #ifdef SF_ERRATA_51
 	.align 32
 	ENTRY(membar_return)
@@ -131,70 +90,10 @@
 	membar	#LoadLoad
 	SET_SIZE(membar_consumer)
 
-#endif	/* lint */
-
 /************************************************************************
  *		MINIMUM LOCKS
  */
 
-#if defined(lint)
-
-/*
- * lock_try(lp), ulock_try(lp)
- *	- returns non-zero on success.
- *	- doesn't block interrupts so don't use this to spin on a lock.
- *	- uses "0xFF is busy, anything else is free" model.
- *
- *      ulock_try() is for a lock in the user address space.
- *      For all V7/V8 sparc systems they are same since the kernel and
- *      user are mapped in a user' context.
- *      For V9 platforms the lock_try and ulock_try are different impl.
- */
-
-int
-lock_try(lock_t *lp)
-{
-	return (0xFF ^ ldstub(lp));
-}
-
-int
-lock_spin_try(lock_t *lp)
-{
-	return (0xFF ^ ldstub(lp));
-}
-
-void
-lock_set(lock_t *lp)
-{
-	extern void lock_set_spin(lock_t *);
-
-	if (!lock_try(lp))
-		lock_set_spin(lp);
-	membar_enter();
-}
-
-void
-lock_clear(lock_t *lp)
-{
-	membar_exit();
-	*lp = 0;
-}
-
-int
-ulock_try(lock_t *lp)
-{
-	return (0xFF ^ ldstub(lp));
-}
-
-void
-ulock_clear(lock_t *lp)
-{
-	membar_exit();
-	*lp = 0;
-}
-
-#else	/* lint */
-
 	.align	32
 	ENTRY(lock_try)
 	ldstub	[%o0], %o1		! try to set lock, get value in %o1
@@ -255,35 +154,12 @@
 	  stba	%g0, [%o0]ASI_USER	! clear lock
 	SET_SIZE(ulock_clear)
 
-#endif	/* lint */
 
-
 /*
  * lock_set_spl(lp, new_pil, *old_pil_addr)
  * 	Sets pil to new_pil, grabs lp, stores old pil in *old_pil_addr.
  */
 
-#if defined(lint)
-
-/* ARGSUSED */
-void
-lock_set_spl(lock_t *lp, int new_pil, u_short *old_pil_addr)
-{
-	extern int splr(int);
-	extern void lock_set_spl_spin(lock_t *, int, u_short *, int);
-	int old_pil;
-
-	old_pil = splr(new_pil);
-	if (!lock_try(lp)) {
-		lock_set_spl_spin(lp, new_pil, old_pil_addr, old_pil);
-	} else {
-		*old_pil_addr = (u_short)old_pil;
-		membar_enter();
-	}
-}
-
-#else	/* lint */
-
 	ENTRY(lock_set_spl)
 	rdpr	%pil, %o3			! %o3 = current pil
 	cmp	%o3, %o1			! is current pil high enough?
@@ -302,25 +178,10 @@
 	nop					! delay: do nothing
 	SET_SIZE(lock_set_spl)
 
-#endif	/* lint */
-
 /*
  * lock_clear_splx(lp, s)
  */
 
-#if defined(lint)
-
-void
-lock_clear_splx(lock_t *lp, int s)
-{
-	extern void splx(int);
-
-	lock_clear(lp);
-	splx(s);
-}
-
-#else	/* lint */
-
 	ENTRY(lock_clear_splx)
 	ldn	[THREAD_REG + T_CPU], %o2	! get CPU pointer
 	membar	#LoadStore|#StoreStore
@@ -333,8 +194,6 @@
 	wrpr	%g0, %o2, %pil
 	SET_SIZE(lock_clear_splx)
 
-#endif	/* lint */
-
 /*
  * mutex_enter() and mutex_exit().
  * 
@@ -359,29 +218,6 @@
  * patch this code in unless we're gathering ADAPTIVE_HOLD lockstats.
  */
 
-#if defined (lint)
-
-/* ARGSUSED */
-void
-mutex_enter(kmutex_t *lp)
-{}
-
-/* ARGSUSED */
-int
-mutex_tryenter(kmutex_t *lp)
-{ return (0); }
-
-/* ARGSUSED */
-void
-mutex_exit(kmutex_t *lp)
-{}
-
-/* ARGSUSED */
-void *
-mutex_owner_running(mutex_impl_t *lp)
-{ return (NULL); }
-
-#else
 	.align	32
 	ENTRY(mutex_enter)
 	mov	THREAD_REG, %o1
@@ -473,8 +309,6 @@
 	mov	%o2, %o0		! owner running, return cpu
 	SET_SIZE(mutex_owner_running)
 
-#endif	/* lint */
-
 /*
  * rw_enter() and rw_exit().
  * 
@@ -483,20 +317,7 @@
  * and rw_exit (no waiters or not the last reader).  If anything complicated
  * is going on we punt to rw_enter_sleep() and rw_exit_wakeup(), respectively.
  */
-#if defined(lint)
 
-/* ARGSUSED */
-void
-rw_enter(krwlock_t *lp, krw_t rw)
-{}
-
-/* ARGSUSED */
-void
-rw_exit(krwlock_t *lp)
-{}
-
-#else
-
 	.align	16
 	ENTRY(rw_enter)
 	cmp	%o1, RW_WRITER			! entering as writer?
@@ -580,16 +401,6 @@
 	nop
 	SET_SIZE(rw_exit)
 
-#endif
-
-#if defined(lint)
-
-void
-lockstat_hot_patch(void)
-{}
-
-#else
-
 #define	RETL			0x81c3e008
 #define	NOP			0x01000000
 #define BA			0x10800000
@@ -677,8 +488,6 @@
 	restore
 	SET_SIZE(lockstat_hot_patch)
 
-#endif	/* lint */
-
 /*
  * asm_mutex_spin_enter(mutex_t *)
  *
@@ -692,7 +501,6 @@
  * 		%l7 - address of call (returns to %l7+8)
  * Uses:	%l6, %l5
  */
-#ifndef lint
 	.align 16
 	ENTRY_NP(asm_mutex_spin_enter)
 	ldstub	[%l6 + M_SPINLOCK], %l5	! try to set lock, get value in %l5
@@ -722,7 +530,6 @@
 	b	4b
 	ldub	[%l6 + M_SPINLOCK], %l5	! delay - reload lock
 	SET_SIZE(asm_mutex_spin_enter)
-#endif /* lint */
 
 /*
  * asm_mutex_spin_exit(mutex_t *)
@@ -735,13 +542,11 @@
  * 		%l7 - address of call (returns to %l7+8)
  * Uses:	none
  */
-#ifndef lint
 	ENTRY_NP(asm_mutex_spin_exit)
 	membar	#LoadStore|#StoreStore
 	jmp	%l7 + 8			! return
 	clrb	[%l6 + M_SPINLOCK]	! delay - clear lock
 	SET_SIZE(asm_mutex_spin_exit)
-#endif /* lint */
 
 /*
  * thread_onproc()
@@ -750,17 +555,7 @@
  * Since the new lock isn't held, the store ordering is important.
  * If not done in assembler, the compiler could reorder the stores.
  */
-#if defined(lint)
 
-void
-thread_onproc(kthread_id_t t, cpu_t *cp)
-{
-	t->t_state = TS_ONPROC;
-	t->t_lockp = &cp->cpu_thread_lock;
-}
-
-#else	/* lint */
-
 	ENTRY(thread_onproc)
 	set	TS_ONPROC, %o2		! TS_ONPROC state
 	st	%o2, [%o0 + T_STATE]	! store state
@@ -769,16 +564,7 @@
 	stn	%o3, [%o0 + T_LOCKP]	! delay - store new lock pointer
 	SET_SIZE(thread_onproc)
 
-#endif	/* lint */
-
 /* delay function used in some mutex code - just do 3 nop cas ops */
-#if defined(lint)
-
-/* ARGSUSED */
-void
-cas_delay(void *addr)
-{}
-#else	/* lint */
 	ENTRY(cas_delay)
 	casx [%o0], %g0, %g0
 	casx [%o0], %g0, %g0
@@ -785,19 +571,7 @@
 	retl
 	casx [%o0], %g0, %g0
 	SET_SIZE(cas_delay)
-#endif	/* lint */
 
-#if defined(lint)
-
-/*
- * alternative delay function for some niagara processors.   The rd
- * instruction uses less resources than casx on those cpus.
- */
-/* ARGSUSED */
-void
-rdccr_delay(void)
-{}
-#else	/* lint */
 	ENTRY(rdccr_delay)
 	rd	%ccr, %g0
 	rd	%ccr, %g0
@@ -804,20 +578,12 @@
 	retl
 	rd	%ccr, %g0
 	SET_SIZE(rdccr_delay)
-#endif	/* lint */
 
 /*
  * mutex_delay_default(void)
  * Spins for approx a few hundred processor cycles and returns to caller.
  */
-#if defined(lint)
 
-void
-mutex_delay_default(void)
-{}
-
-#else	/* lint */
-
 	ENTRY(mutex_delay_default)
 	mov	72,%o0
 1:	brgz	%o0, 1b
@@ -826,4 +592,3 @@
 	nop
 	SET_SIZE(mutex_delay_default)
 
-#endif  /* lint */
